# Code of Conduct

## Our Pledge

In the interest of fostering an open and welcoming environment, we as contributors and maintainers of **sphinxcontrib-jsontable** pledge to make participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation.

## Our Standards

Examples of behavior that contributes to a positive environment for our project include:

* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members

Examples of unacceptable behavior by participants include:

* The use of sexualized language or imagery and unwelcome sexual attention or advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a physical or electronic address, without permission
* Other conduct which could reasonably be considered inappropriate in a professional setting

## Enforcement Responsibilities

Project maintainers are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful.

Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned with this Code of Conduct.

## Reporting Guidelines

If you experience or witness unacceptable behavior, please report it by contacting the project team at **\[your email or issue link]**. All reports will be handled with discretion and confidentiality.

You can also report by opening an issue on GitHub and tagging it with **`code-of-conduct`**, though please note that issues are public by default.

## Enforcement Process

1. **First Response**: Maintainers will review the report and may reach out to gather additional information.
2. **Warning**: A warning may be issued to the offender, requesting behavior change.
3. **Temporary Ban**: Continued violations may result in a temporary ban from communication or contribution.
4. **Permanent Ban**: Severe or repeated violations can lead to a permanent ban from the project.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant](https://www.contributor-covenant.org/), version 2.1, available at [https://www.contributor-covenant.org/version/2/1/code\_of\_conduct.html](https://www.contributor-covenant.org/version/2/1/code_of_conduct.html)

---

*Last updated: 2025-05-31*
